package in.gov.digilocker.uidai.services.xmlresponse;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(name = "Poi")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(propOrder = { "dob", "gender", "name", "email", "phone" })
public class EKYCPoi {
	@XmlAttribute(name = "dob")private String dob;
	@XmlAttribute(name = "gender")private String gender;
	@XmlAttribute(name = "name")private String name;
	@XmlAttribute(name = "email")private String email;
	@XmlAttribute(name = "phone")private String phone;

	public EKYCPoi() {
		this.dob = "";
		this.gender = "";
		this.name = "";
		this.email = "";
		this.phone = "";
	}

	public EKYCPoi(String dob, String gender, String name, String email, String phone) {
		this.dob = dob;
		this.gender = gender;
		this.name = name;
		this.email = email;
		this.phone = phone;
	}

	public String getDob() {
		return this.dob;
	}

	public void setDob(String dob) {
		this.dob = dob;
	}

	public String getGender() {
		return this.gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPhone() {
		return this.phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}
}
